[Armadeus-commitlog] armadeus branch, master, updated. latestrelease-31-g9f4c2e5
Brought to you by:
sszy
|
From: Julien B a. A. <ar...@us...> - 2009-08-14 09:26:19
|
This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "armadeus".
The branch, master has been updated
via 9f4c2e58a2f501c8e72fefbdfc8f38730535083a (commit)
from 3f353877e1bcaa7d8f532bfcc572e8b950850097 (commit)
Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.
- Log -----------------------------------------------------------------
commit 9f4c2e58a2f501c8e72fefbdfc8f38730535083a
Author: Julien Boibessot <jul...@ar...>
Date: Fri Aug 14 11:23:01 2009 +0200
[TARGET] Add a directory (target/scripts/) to store useful system scripts that are not in the default rootfs skeleton
-----------------------------------------------------------------------
Summary of changes:
target/scripts/README | 2 ++
target/scripts/S60inetd | 44 ++++++++++++++++++++++++++++++++++++++++++++
2 files changed, 46 insertions(+), 0 deletions(-)
create mode 100644 target/scripts/README
create mode 100755 target/scripts/S60inetd
diff --git a/target/scripts/README b/target/scripts/README
new file mode 100644
index 0000000..2f86054
--- /dev/null
+++ b/target/scripts/README
@@ -0,0 +1,2 @@
+Scripts useful for everyday usage on APF, but that don't necessarly found
+a place in the default skeleton.
diff --git a/target/scripts/S60inetd b/target/scripts/S60inetd
new file mode 100755
index 0000000..50b5732
--- /dev/null
+++ b/target/scripts/S60inetd
@@ -0,0 +1,44 @@
+#! /bin/sh
+
+[ -f /usr/sbin/inetd ] || exit 0
+
+RETVAL=0
+
+# See how we were called.
+case "$1" in
+ start)
+ echo -n "Starting INET services: "
+ inetd
+ RETVAL=$?
+ [ $RETVAL -eq 0 ] && touch /var/lock/subsys/inet && echo "done"
+ ;;
+ stop)
+ echo -n "Stopping INET services: "
+ killall inetd
+ RETVAL=$?
+ [ $RETVAL -eq 0 ] && rm -f /var/lock/subsys/inet && echo "done"
+ ;;
+ status)
+ echo -n "INET services are: "
+ if [ -f /var/lock/subsys/inet ]; then
+ echo "running"
+ else
+ echo "not running"
+ fi
+ ;;
+ restart)
+ $0 stop
+ $0 start
+ RETVAL=$?
+ ;;
+ reload)
+ killall -HUP inetd
+ RETVAL=$?
+ ;;
+ *)
+ echo "Usage: $0 {start|stop|status|reload|restart}"
+ exit 1
+esac
+
+exit $RETVAL
+
hooks/post-receive
--
armadeus
|